package com.gh.gamecenter.servers

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.base.DownloadToolbarActivity
import com.gh.gamecenter.R
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor

class GameServerTestActivity : DownloadToolbarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setToolbarMenu(R.menu.menu_download)
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    override fun showDownloadMenu() = true

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, GameServerTestActivity::class.java, GameServersTestFragment::class.java)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    companion object {
        fun getIntent(context: Context, id: String, title: String, entrance: String): Intent {
            val bundle = Bundle()
            bundle.putString(GameServersTestFragment.TEST_COLUMN_ID, id)
            bundle.putString(GameServersTestFragment.TEST_TITLE, title)
            bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance)
            return getTargetIntent(
                context,
                GameServerTestActivity::class.java,
                GameServersTestFragment::class.java,
                bundle
            )
        }
    }

}